Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGList.ListBuilder

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList.ListBuilder

All Implemented Interfaces:
  ListHandler

Enclosing class:
  AbstractSVGList

protected class AbstractSVGList.ListBuilder
extends java.lang.Object
implements ListHandler

Local list handler implementation. This will contructs a list of item coming out of the parser for the attribute.

Field Summary
`protected java.util.List` | `list` the list to be build

Constructor Summary
`AbstractSVGList.ListBuilder()`

Method Summary
`void` | `endList()` Indicates that the parser ends generating the list
`java.util.List` | `getList()` Return the newly created list.
`void` | `item(SVGItem item)` Indicates a new item to add to the list.
`void` | `startList()` Indicates that the parser starts generating the list

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    protected java.util.List list

  the list to be build

Constructor Detail

### AbstractSVGList.ListBuilder

    public AbstractSVGList.ListBuilder()

Method Detail

### getList

    public java.util.List getList()

  Return the newly created list.

  Returns:
    the created list

### startList

    public void startList()

  Description copied from interface: `ListHandler`
  Indicates that the parser starts generating the list

  Specified by:
    `startList` in interface `ListHandler`

### item

    public void item(SVGItem item)

  Description copied from interface: `ListHandler`
  Indicates a new item to add to the list.

  Specified by:
    `item` in interface `ListHandler`
  Parameters:
    `item` - the new item to be added

### endList

    public void endList()

  Description copied from interface: `ListHandler`
  Indicates that the parser ends generating the list

  Specified by:
    `endList` in interface `ListHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.